<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'assetrequest',

    /*
     * Modules.
     */
    'modules'   => ['assetreqhd', 
'assetreqdtl'],

    /*
     * Image size.
     */
    'image'    => [
        'xs' => [
            'width'     => '60',
            'height'    => '45',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'sm' => [
            'width'     => '160',
            'height'    => '120',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'md' => [
            'width'     => '460',
            'height'    => '345',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'lg' => [
            'width'     => '800',
            'height'    => '600',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '1000',
            'height'    => '750',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
    ],

    'assetreqhd'       => [
        'model'             => 'Assetdocs\Assetrequest\Models\Assetreqhd',
        'table'             => 'assetreqhds',
        'presenter'         => \Assetdocs\Assetrequest\Repositories\Presenter\AssetreqhdItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'requestno',  'division_id',  'reqdate',  'requestedby',  'dept_id',  'required_date',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at',  'status'],
        'translate'         => ['id',  'requestno',  'division_id',  'reqdate',  'requestedby',  'dept_id',  'required_date',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at',  'status'],

        'upload-folder'     => '/uploads/assetrequest/assetreqhd',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
'assetreqdtl'       => [
        'model'             => 'Assetdocs\Assetrequest\Models\Assetreqdtl',
        'table'             => 'assetreqdtls',
        'presenter'         => \Assetdocs\Assetrequest\Repositories\Presenter\AssetreqdtlItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'slno',  'assetreqhd_id',  'category_id',  'subcategory_id',  'assetname',  'unit',  'quantity',  'unitprice',  'price',  'remarks',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'slno',  'assetreqhd_id',  'category_id',  'subcategory_id',  'assetname',  'unit',  'quantity',  'unitprice',  'price',  'remarks',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/assetrequest/assetreqdtl',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
