<?php

use Illuminate\Database\Migrations\Migration;

class CreateAssetreqdtlsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assetreqdtls
         */
        Schema::create('assetreqdtls', function ($table) {
            $table->increments('id');
            $table->integer('slno')->nullable();
            $table->integer('assetreqhd_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('subcategory_id')->nullable();
            $table->string('assetname', 100)->nullable();
            $table->string('unit', 10)->nullable();
            $table->integer('quantity')->nullable();
            $table->decimal('unitprice', 10,2)->nullable();
            $table->decimal('price', 15,2)->nullable();
            $table->string('remarks', 100)->nullable();
            $table->string('user_type', 10)->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assetreqdtls');
    }
}
