@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('assetrequest::assetreqdtl.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('assetrequest::assetreqdtl.names') !!}</small>
@stop

@section('title')
{!! trans('assetrequest::assetreqdtl.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('assetrequest::assetreqdtl.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='assetrequest-assetreqdtl-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="assetrequest-assetreqdtl-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('assetrequest::assetreqdtl.label.slno')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.assetreqhd_id')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.category_id')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.subcategory_id')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.assetname')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.unit')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.quantity')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.unitprice')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.price')!!}</th>
        <th>{!! trans('assetrequest::assetreqdtl.label.remarks')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::numeric('search[slno]')->raw()!!}</th>
        <th>{!! Form::numeric('search[assetreqhd_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[category_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[subcategory_id]')->raw()!!}</th>
        <th>{!! Form::text('search[assetname]')->raw()!!}</th>
        <th>{!! Form::text('search[unit]')->raw()!!}</th>
        <th>{!! Form::numeric('search[quantity]')->raw()!!}</th>
        <th>{!! Form::decimal('search[unitprice]')->raw()!!}</th>
        <th>{!! Form::decimal('search[price]')->raw()!!}</th>
        <th>{!! Form::text('search[remarks]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#assetrequest-assetreqdtl-entry', '{!!trans_url('admin/assetrequest/assetreqdtl/0')!!}');
    oTable = $('#assetrequest-assetreqdtl-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/assetrequest/assetreqdtl') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#assetrequest-assetreqdtl-list .search_bar input, #assetrequest-assetreqdtl-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'slno'},
                    {data :'assetreqhd_id'},
                    {data :'category_id'},
                    {data :'subcategory_id'},
                    {data :'assetname'},
                    {data :'unit'},
                    {data :'quantity'},
                    {data :'unitprice'},
                    {data :'price'},
                    {data :'remarks'},
        ],
        "pageLength": 25
    });

    $('#assetrequest-assetreqdtl-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#assetrequest-assetreqdtl-list').DataTable().row( this ).data();

        $('#assetrequest-assetreqdtl-entry').load('{!!trans_url('admin/assetrequest/assetreqdtl')!!}' + '/' + d.id);
    });

    $("#assetrequest-assetreqdtl-list .search_bar input, #assetrequest-assetreqdtl-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

